package de.rico.editor.gui.filter;

import java.io.File;

import javax.swing.filechooser.FileFilter;

public class FilterMS3D extends FileFilter
{
	/*
	 * (non-Javadoc)
	 * @see javax.swing.filechooser.FileFilter#accept(java.io.File)
	 */
	@Override
	public boolean accept(File file)
	{
		String filename = file.getName();
		return filename.endsWith(".txt") || file.isDirectory();
	}

	/*
	 * (non-Javadoc)
	 * @see javax.swing.filechooser.FileFilter#getDescription()
	 */
	@Override
	public String getDescription()
	{
		return "*.txt (Milkshape3D Ascii)";
	}

}
